
QGIS Application - Feature request #4834

Node tool: change colours

2012-01-18 01:04 AM - Paolo Cavallini

Status: Open

Priority: Low

Assignee:

Category: Digitising

Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 14674

Description

Currently, nodes are red, selected nodes are blue, and topological errors are green. I think this is not very clear to users, and a better

choice is possible, e.g. green for nodes, yellow or orange for slected ones, and red for errors. A trivial fix, once the best colours are

chosen.

Related issues:

Duplicated by QGIS Application - Bug report # 8234: Colour of markers for edi... Closed 2013-07-07

Duplicated by QGIS Application - Bug report # 9697: Better colour and symbol ... Closed 2014-03-03

History

#1 - 2012-01-23 11:29 PM - Jean-Roc Morreale

Please avoid red/green colors for the same tool, I've several users suffering color blindness and this would make impossible for them to see that's there is

different states.

#2 - 2012-04-15 10:21 AM - Giovanni Manghi

- Target version set to Version 2.0.0

#3 - 2012-10-06 02:24 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#4 - 2013-09-09 06:12 AM - Paolo Cavallini

- Target version changed from Future Release - Nice to have to Future Release - High Priority

#5 - 2014-06-23 08:30 AM - Paolo Cavallini

Duplicated in #8234 and #9697 (see also)

#6 - 2016-07-24 10:49 PM - R. R.

See also: #15329 (Node tool square color)

#7 - 2017-05-01 12:50 AM - Giovanni Manghi

- Easy fix? set to No

#8 - 2018-02-23 06:07 PM - Paolo Cavallini

Still true in QGIS 3
#9 - 2018-02-24 03:28 PM - Paolo Cavallini

Duplicated in #16260

2025-04-26 2/2


